Foros del Web » Programando para Internet » Ruby »

Problema al instalar version de ruby con rvm

Estas en el tema de Problema al instalar version de ruby con rvm en el foro de Ruby en Foros del Web. Hola amigos del foro, a ver si me pueden ayudar aca, que no se que esta pasando, estoy tratando de instalar ruby 1.9.2 con rvm ...
  #1 (permalink)  
Antiguo 20/05/2011, 05:18
Avatar de Ferdinand1945  
Fecha de Ingreso: noviembre-2010
Ubicación: Estocolmo
Mensajes: 62
Antigüedad: 9 años, 11 meses
Puntos: 1
Problema al instalar version de ruby con rvm

Hola amigos del foro, a ver si me pueden ayudar aca, que no se que esta pasando, estoy tratando de instalar ruby 1.9.2 con rvm , instale rvm sin problemas (al parecer) pero no puedo instalar versiones de ruby, rails tambien lo instale sin problemas, lo que yo escribo en el terminal es:

rvm install ruby-1.9.2-p180 y me salta este error:

Installing Ruby from source to: /Users/fernando/.rvm/rubies/ruby-1.9.2-p180, this may take a while depending on your cpu(s)...

ruby-1.9.2-p180 - #fetching
ruby-1.9.2-p180 - #extracted to /Users/fernando/.rvm/src/ruby-1.9.2-p180 (already extracted)
ruby-1.9.2-p180 - #configuring

ERROR: Error running ' ./configure --prefix=/Users/fernando/.rvm/rubies/ruby-1.9.2-p180 --enable-shared --disable-install-doc ', please read /Users/fernando/.rvm/log/ruby-1.9.2-p180/configure.log
ERROR: There has been an error while running configure. Halting the installation.

>>> me tiene un poco molesto por qeu no me deja avanzar en lo que quiero, alguien sabe como puedo hacer para solucionarlo? (uso mac os)
  #2 (permalink)  
Antiguo 20/05/2011, 09:04
Avatar de jam666  
Fecha de Ingreso: septiembre-2009
Ubicación: Isla De Margarita - Venezuela
Mensajes: 428
Antigüedad: 11 años, 1 mes
Puntos: 39
Respuesta: Problema al instalar version de ruby con rvm

si no lo has hecho, intenta:

Código bash:
Ver original
  1. rvm notes

verifica las dependencias para su S.O e instala todas ellas.

al instalar Ruby inntenta solo:

Código bash:
Ver original
  1. rvm install 1.9.2

o sino:

Código bash:
Ver original
  1. rvm install macruby


hay algunas mas especificaciones para mac en la pagina oficial de RVM

Yo lo instale hace unos dias pero en Linux (Ubuntu 10.10 64bits)...
__________________
J.A.M
Jam Blog
  #3 (permalink)  
Antiguo 22/05/2011, 13:40
Avatar de Ferdinand1945  
Fecha de Ingreso: noviembre-2010
Ubicación: Estocolmo
Mensajes: 62
Antigüedad: 9 años, 11 meses
Puntos: 1
Respuesta: Problema al instalar version de ruby con rvm

excelente, lo voy a intentar de esa manera!! muchas gracias!!!

Etiquetas: Ninguno
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 05:29.